package com.yidianling.ydlcommon.custom.constant

import com.yidianling.ydlcommon.BuildConfig

/**
 * 常量类
 *
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/02/01
 */
class YdlConstants {

    companion object {
        /**
         * 网络请求中的占位参数名称
         * 用于某些请求中不需要参数时，传入一个假的参数
         */
        const val HOLDER_PARAM = "holder_param"
        // activity 跳转时传递数据的 bundle 的名称
        const val BUNDLE = "bundle"

        const val API_HOST = BuildConfig.SERVER_URL
        var API_HOST_H5 = com.yidianling.ydlcommon.custom.http.YdlRetrofitUtils.H5_URL!!
        var API_HOST_WEB = com.yidianling.ydlcommon.custom.http.YdlRetrofitUtils.WEB_URL!!

        const val SHAREZJ = com.yidianling.ydlcommon.custom.http.YdlRetrofitUtils.M_BASE_URL + "experts/"

        const val BIND_PHONE_ACTION = "wxbind"

        const val HELP_URL = "https://h2.yidianling.com/ex-help/96"

        var ZJZHUYE = API_HOST_H5 + "experts/"

        const val SILENCED_CODE = 1000020

        //预约详情
        var YUYDETAIL = API_HOST_H5 + "booking/order-detail?orderid="

        const val PUBLISH_TYPE = "publish_type"
    }

}