package com.yidianling.ydlcommon.custom.http.api;

import com.yidianling.ydlcommon.custom.data.MustUP;
import com.yidianling.ydlcommon.custom.http.BaseAPIResponse;
import com.yidianling.ydlcommon.custom.http.BaseResponse;
import io.reactivex.Observable;
import okhttp3.RequestBody;
import retrofit2.http.Body;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;

import java.util.Map;

/**
 * 网络请求api
 * Created by Emma on 2016/8/23.
 */
interface NetApiStore {
    //强制更新埋点
    @FormUrlEncoded
    @POST("site/cmd")
    Observable<BaseResponse<MustUP>> appWillUp(@FieldMap Map<String, String> params);

    //登录异常上传接口日志
    @POST("uc/log")
    @FormUrlEncoded
    Observable<BaseResponse> upLoadLoginStatus(@FieldMap Map<String, String> maps);

    //上传webview初始化及加载url时间接口
    @POST("slowlog/h5")
    Observable<BaseResponse> uploadWebViewTime(@Body RequestBody body);

    //行为动作埋点统计接口
    @POST("maidian/writeMaiDianData")
    Observable<BaseAPIResponse<String>> actionDataCount(@Body RequestBody body);

}
