package com.yidianling.ydlcommon.custom.pay.model

import com.google.gson.annotations.SerializedName


/**
 * Created by Administrator on 2017/8/28 0028.
 */

class OrderDataBean {

    /**
     * emptyTs : true
     * uid : 15304
     * doctorInfo : {"id":1,"uid":2,"name":"朱浩亮","head":"https://img.yidianling.com/file/2015/09/43a596a8a5cf12df.jpg!s200x200","doctorMark":"47人已咨询过"}
     * age :
     * oName :
     * oContent :
     * oCity :
     * oPhone :
     * services : {"specs":{"4_30":{"spec_id":1820,"price":"12.00"},"2_30":{"spec_id":1821,"price":"12.00"},"1_30":{"spec_id":1822,"price":"12.00"}},"types":[{"id":"4","value":"视频"},{"id":"2","value":"电话"},{"id":"1","value":"文字"}],"long":["30"]}
     * product : {"id":91161101001900,"name":"套餐测试","origin_price":"22.00","product_price":"22.00","status":3,"is_delete":2,"uid":2,"is_package":2,"package_num":10}
     * time_plan_url : https://testh2.yidianling.com/experts/time-plan/1
     * contract_url : https://h2.yidianling.com/order/ago-contract
     */

    var EmptyTs: Boolean = false //专家无时间安排，显示发送时间提醒 按钮
    var uid: String? = null
    var doctorInfo: DoctorInfoBean? = null
    var age: String? = null
    var oName: String? = null
    var oContent: String? = null
    var oCity: String? = null
    var oPhone: String? = null
    var services: ServicesBean? = null
    var product: ProductBean? = null
    var time_plan_url: String? = null
    var contract_url: String? = null

    //优惠券集合（可用优惠券和不可用优惠券）
    var coupons: CouponsList? = null
    //优惠金额
    var coupon_money: String? = null

    class DoctorInfoBean {
        /**
         * id : 1
         * uid : 2
         * name : 朱浩亮
         * head : https://img.yidianling.com/file/2015/09/43a596a8a5cf12df.jpg!s200x200
         * doctorMark : 47人已咨询过
         */

        var id: Int = 0
        var uid: Int = 0
        var name: String? = null
        var head: String? = null
        var doctorMark: String? = null
    }

    class CouponsList {
        @field:SerializedName("false")
        var unUseList: List<OrderCouponBean>? = null
        @field:SerializedName("true")
        var useList: List<OrderCouponBean>? = null
    }

    class OrderCouponBean {
        var receiveId: String? = null
        var id: String? = null
        var available: CouponBean? = null
    }


    class ServicesBean {
        /**
         * specs : {"4_30":{"spec_id":1820,"price":"12.00"},"2_30":{"spec_id":1821,"price":"12.00"},"1_30":{"spec_id":1822,"price":"12.00"}}
         * types : [{"id":"4","value":"视频"},{"id":"2","value":"电话"},{"id":"1","value":"文字"}]
         * long : ["30"]
         */
        var specs: Map<String, SpecBean>? = null
        var types: List<TypesBean>? = null
        var long: List<String>? = null

        class SpecBean {
            var spec_id: Int = 0
            var price: String? = null
        }

        class TypesBean {
            /**
             * id : 4
             * value : 视频
             */

            var id: String? = null
            var value: String? = null
        }
    }

    class ProductBean {
        /**
         * id : 91161101001900
         * name : 套餐测试
         * origin_price : 22.00
         * product_price : 22.00
         * status : 3
         * is_delete : 2
         * uid : 2
         * is_package : 2
         * package_num : 10
         */

        var id: Long = 0
        var name: String? = null
        var origin_price: String? = null
        var product_price: String? = null
        var status: Int = 0
        var is_delete: Int = 0
        var uid: Int = 0
        var is_package: Int = 0//产品类型：1单次服务，2套餐服务，3免费体验
        var package_num: Int = 0//套餐最低次数
    }
}
