package com.yidianling.ydlcommon.custom.utils.actionutil

/**
 * Created by xj on 2019/7/1.
 */
class BIConstants{
    companion object {
        /**
         * 消息端来源
         */
        const val APP_ID = "ydl-app-android-user" //这是用户端主包的

        /**
         * 操作系统
         */
        const val OS = "Android" //android系统

        /**
         * 埋点板块
         */
        const val PART_ID_LOGIN_MAIN = "login_main"
        //咨询筛选页
        const val PART_ID_CONSULT_FILTER_PAGE = "consult_filter_page"
        //百度监测 应用启动行为
        const val WELCOME_PAGE = "welcome_page"
        //百度监测 用户注册行为
        const val APP_REGISTER_PAGE = "app_register_page"

        /**
         * position
         * 点击类型
         */
        const val POSITION_LOGIN_CLICK = "login_click" //登录点击
        const val POSITION_LOGIN_SUCCESS_CLICK = "login_success_click" //登录成功点击
        //咨询筛选页
        const val POSITION_CONSULT_TYPE_CLICK = "consult_type_click" //咨询方式
        const val POSITION_AVERAGE_SERVICE_INPUT = "average_service_input" //服务均价
        const val POSITION_AGE_CHOICE_CLICK = "age_choice_click" //年龄选择
        const val POSITION_QUALIFICATION_CHOICE_CLICK = "qualification_choice_click" //资质选择
        const val POSITION_OTHER_CHOICE_CLICK = "other_choice_click" //其他选择
        const val POSITION_CONSULT_FILTER_RESET_CLICK = "consult_filter_reset_click" //重置
        const val POSITION_CONSULT_FILTER_CHECKOUT_CLICK = "consult_filter_checkoutallconsultants_click" //查看XXX位咨询师
        //百度监测 应用启动
        const val POSITION_APP_START_UP_CLICK = "app_start_up_click" //应用启动
        //百度监测 用户注册
        const val POSITION_WX_REGISTER_CLICK = "wx_register_click" //微信第一次登录
        const val POSITION_QQ_REGISTER_CLICK = "qq_register_click" //QQ第一次登录
        const val POSITION_PHONE_REGISTER_CLICK = "phone_register_click" //手机号密码第一次登录
        const val POSITION_ALIYUN_REGISTER_CLICK = "aliyun_register_click" //阿里云第一次一键登录
        const val POSITION_CODE_REGISTER_CLICK = "code_register_click" //短信第一次登录
        //随便逛逛点击
        const val POSITION_LOOK_AROUND_CLICK = "look_around_click" //短信第一次登录
        //登录主页浏览事件（包含随便逛逛）
        const val POSITION_LOGIN_ONE_PAGE_VISIT = "login_main_one_page_visit" //短信第一次登录
        //登录主页浏览事件（不包含随便逛逛）
        const val POSITION_LOGIN_TWO_PAGE_VISIT = "login_main_two_page_visit" //短信第一次登录


        /**
         * action type
         * 行为数据埋点，sign1字段 是对同一key下多种不同行为的描述
         */
        const val ACTION_TYPE_CODE_LOGIN: String = "code_login" //验证码登录
        const val ACTION_TYPE_RESET_PWD: String = "reset_pwd" //重置密码登录
        const val ACTION_TYPE_PWD_LOGIN: String = "pwd_login" //手机号密码登录
        const val ACTION_TYPE_DIRECT_LOGIN: String = "direct_login" //一键登录
        const val ACTION_TYPE_QQ_THIRD_LOGIN: String = "qq_login" //QQ登录
        const val ACTION_TYPE_WX_THIRD_LOGIN: String = "wx_login" //WX登录
    }
}