package com.yidianling.ydlcommon.custom.http.response

import android.support.annotation.Keep
import com.yidianling.ydlcommon.custom.pay.AliInfo

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/04/19
 */
@Keep
data class Recharge(val rechargeId: String,
                    /**
                     * 支付金额
                     */
                    val money : String,
                    val aliInfo: AliInfo,
                    /**
                     * 支付宝 加签
                     */
                    val aliSign : String)