package com.yidianling.ydlcommon.custom.notification

/**
 * Created by Jim on 2018/3/9 0009.
 */

abstract class PlayerStateObserver {
    abstract fun updateCoursePayerState(state: Int?)
    abstract fun updateFMPayerState()

    companion object {
        val IS_FM_PLAYING = 1
        val IS_FM_PAUSE = 2
        val IS_FM_STOP = 3

        val CURRENT_STATE_NORMAL = 0
        val CURRENT_STATE_PREPARING = 1
        val CURRENT_STATE_PREPARING_CHANGING_URL = 2
        val CURRENT_STATE_PLAYING = 3
        val CURRENT_STATE_PAUSE = 5
        val CURRENT_STATE_AUTO_COMPLETE = 6
        val CURRENT_STATE_ERROR = 7
    }
}
